<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: register_map_bridge Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">register_map_bridge Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for register_map_bridge:</div>
<div class="dyncontent">
<div class="center"><img src="classregister__map__bridge__inherit__graph.png" border="0" usemap="#register__map__bridge_inherit__map" alt="Inheritance graph"/></div>
<map name="register__map__bridge_inherit__map" id="register__map__bridge_inherit__map">
<area shape="rect" id="node5" href="classregister__map.html" title="register_map" alt="" coords="325,155,430,181"/><area shape="rect" id="node2" href="classIOREG__READ__ADDR__FIFO.html" title="work.IOREG_READ_ADDR_FIFO" alt="" coords="5,5,237,32"/><area shape="rect" id="node3" href="classIOREG__READ__DATA__FIFO.html" title="work.IOREG_READ_DATA_FIFO" alt="" coords="262,5,493,32"/><area shape="rect" id="node4" href="classIOREG__WRITE__FIFO.html" title="work.IOREG_WRITE_FIFO" alt="" coords="517,5,709,32"/><area shape="rect" id="node6" href="classWIB.html" title="WIB" alt="" coords="353,229,401,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classregister__map__bridge-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classregister__map__bridge_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classregister__map__bridge.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classregister__map__bridge.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a50427254ff9786d0711c263e13a78b26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50427254ff9786d0711c263e13a78b26"></a>
<a class="el" href="classregister__map__bridge.html#a50427254ff9786d0711c263e13a78b26">CLOCK_DOMAINS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:ac69523c4d004ccc3b003cebe13f67c2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac69523c4d004ccc3b003cebe13f67c2c"></a>
<a class="el" href="classregister__map__bridge.html#ac69523c4d004ccc3b003cebe13f67c2c">clk_reg_map</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classregister__map__bridge.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b01c02cd88ac2adf01a91f8c5f1dba6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b01c02cd88ac2adf01a91f8c5f1dba6"></a>
<a class="el" href="classregister__map__bridge.html#a5b01c02cd88ac2adf01a91f8c5f1dba6">WR_strobe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6cd7b536777d3c4278aefce8b2172621"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cd7b536777d3c4278aefce8b2172621"></a>
<a class="el" href="classregister__map__bridge.html#a6cd7b536777d3c4278aefce8b2172621">RD_strobe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb7651becaa19e7c5c21b72b95dac37c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb7651becaa19e7c5c21b72b95dac37c"></a>
<a class="el" href="classregister__map__bridge.html#acb7651becaa19e7c5c21b72b95dac37c">WR_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e5428117cfce1d82d064e72683a5d97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e5428117cfce1d82d064e72683a5d97"></a>
<a class="el" href="classregister__map__bridge.html#a9e5428117cfce1d82d064e72683a5d97">RD_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d89f88a61cdfb12d987e18f7e8ebc8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d89f88a61cdfb12d987e18f7e8ebc8f"></a>
<a class="el" href="classregister__map__bridge.html#a9d89f88a61cdfb12d987e18f7e8ebc8f">data_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af05e505989775eef238b7a8920cbc16e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af05e505989775eef238b7a8920cbc16e"></a>
<a class="el" href="classregister__map__bridge.html#af05e505989775eef238b7a8920cbc16e">data_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad1f8a03c8c86d9e8c4808bf10b4bfed2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1f8a03c8c86d9e8c4808bf10b4bfed2"></a>
<a class="el" href="classregister__map__bridge.html#ad1f8a03c8c86d9e8c4808bf10b4bfed2">clk_domain</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abbc64ec3065b75c761d2a7c12ade7461"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbc64ec3065b75c761d2a7c12ade7461"></a>
<a class="el" href="classregister__map__bridge.html#abbc64ec3065b75c761d2a7c12ade7461">clk_domain_locked</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2e758ad37301e2ef9778d47c8a6bd849"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e758ad37301e2ef9778d47c8a6bd849"></a>
<a class="el" href="classregister__map__bridge.html#a2e758ad37301e2ef9778d47c8a6bd849">read_address_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a929f9a702ace8c5fb6523128263cd69e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a929f9a702ace8c5fb6523128263cd69e"></a>
<a class="el" href="classregister__map__bridge.html#a929f9a702ace8c5fb6523128263cd69e">read_address_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad1c53ee5fff31fef46a4884f823e214b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1c53ee5fff31fef46a4884f823e214b"></a>
<a class="el" href="classregister__map__bridge.html#ad1c53ee5fff31fef46a4884f823e214b">read_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">uint16_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afbc02898ec936370219564f46fee7281"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbc02898ec936370219564f46fee7281"></a>
<a class="el" href="classregister__map__bridge.html#afbc02898ec936370219564f46fee7281">read_data_wr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7eeb27cbf9dced66124819757d80e2cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7eeb27cbf9dced66124819757d80e2cf"></a>
<a class="el" href="classregister__map__bridge.html#a7eeb27cbf9dced66124819757d80e2cf">read_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">uint36_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a39bee8c082a59d149097aeed822cc7af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39bee8c082a59d149097aeed822cc7af"></a>
<a class="el" href="classregister__map__bridge.html#a39bee8c082a59d149097aeed822cc7af">write_addr_data_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a319f10e9ad18225ea2d24d0eb482871d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a319f10e9ad18225ea2d24d0eb482871d"></a>
<a class="el" href="classregister__map__bridge.html#a319f10e9ad18225ea2d24d0eb482871d">write_addr_data_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af534255f64a597dead21ba36d10ba59f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af534255f64a597dead21ba36d10ba59f"></a>
<a class="el" href="classregister__map__bridge.html#af534255f64a597dead21ba36d10ba59f">write_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">uint16_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8ad708cde5d840e1b4c252134d30b13e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ad708cde5d840e1b4c252134d30b13e"></a>
<a class="el" href="classregister__map__bridge.html#a8ad708cde5d840e1b4c252134d30b13e">write_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">uint32_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CLOCK_DOMAINS</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="register__map__bridge_8vhd_source.html#l00007">7</a> of file <a class="el" href="register__map__bridge_8vhd_source.html">register_map_bridge.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/register_map/<a class="el" href="register__map__bridge_8vhd_source.html">register_map_bridge.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:35 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
